// 自动化检测文件，获取然后全局注册
const routerContext = require.context('./', true, /\.vue$/)
const globalComponents = []
routerContext.keys().forEach(route => {
  const routerModule = routerContext(route)
  // 如果是 gRegion.vue 不处理，应用时有问题
  if (route.startsWith('./gRegion')) {
    return
  }
  /**
   * 兼容 import export 和 require module.export 两种规范
   * import export 有 default 用 routerModule.default
   */
  globalComponents.push(routerModule.default || routerModule)
})

export default {
  install(Vue) {
    // 全局注册组件
    globalComponents.forEach(item => {
      Vue.component(item.name, item)
    })
  }
}
